## org.apache.xalan.templates
Interface XSLTVisitable

All Known Implementing Classes:
  AVT, AVTPart, ElemTemplateElement

public interface XSLTVisitable

A class that implements this interface will call a XSLTVisitor for itself and members within it's heararchy. If the XSLTVistor's method returns false, the sub-member heararchy will not be traversed.

Method Summary
`void` `callVisitors(XSLTVisitor visitor)` This will traverse the heararchy, calling the visitor for each member.

Method Detail

### callVisitors

    public void callVisitors(XSLTVisitor visitor)

  This will traverse the heararchy, calling the visitor for each member. If the called visitor method returns false, the subtree should not be called.
  Parameters:
    `visitor` - The visitor whose appropriate method will be called.

Copyright © 2006 Apache XML Project. All Rights Reserved.